image: openjdk:8-jdk

variables:
  ANDROID_COMPILE_SDK: "28"
  ANDROID_BUILD_TOOLS: "28.0.2"
  ANDROID_SDK_TOOLS:   "4333796"

before_script:
  - chmod +x ./gradlew
  # temporarily disable checking for EPIPE error and use yes to accept all licenses
  #set +o pipefail
  #yes | /home/mahdeek/android-sdk-linux/tools/bin/sdkmanager --licenses
  #set -o pipefail

stages:
  - build
  - test

build:
  stage: build
  script:
    - ./gradlew :app:build -x lint

assemble:
  stage: build
  script:
    - ./gradlew assemble
  artifacts:
    paths:
    - app/build/outputs/apks/release/